<template>
  <div
    :class="[$style.verticalMenuItem, isActive ? $style.isActive : '']"
    @click="onClickHandler"
  >
    <span>
      <slot></slot>
    </span>
    <base-icon name="chevron-right" v-if="isActive" />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
// @ts-ignore
import BaseIcon from "@/components/base/BaseIcon";

export default Vue.extend({
  name: "BaseVerticalMenuItem",
  components: {
    BaseIcon
  },
  props: {
    id: {
      type: [String, Number],
      required: true
    },
    selectedItem: {
      type: [String, Number],
      required: false,
      default: 0
    }
  },
  computed: {
    isActive: function() {
      return this.selectedItem == Number(this.id);
    }
  },
  methods: {
    onClickHandler: function() {
      this.$emit("onClick", this.id);
    }
  }
});
</script>

<style module lang="scss">
.verticalMenuItem {
  padding: 1rem 20px;
  cursor: pointer;
  composes: display--flex;
  align-items: center;
}
.isActive {
  background-color: $color--primary;
  composes: display--flex;
  composes: justify-content--space-between;
}
</style>
